﻿@using Mandiri.Lelang.WebAdminUI.Utility
@model Mandiri.Lelang.ViewModel.CityViewModel

@{
    AjaxOptions submitAjaxOptions = new AjaxOptions();
    submitAjaxOptions.OnBegin = "OnAjaxRequestBegin";
    submitAjaxOptions.OnFailure = "OnAjaxRequestFailure";
    submitAjaxOptions.OnSuccess = "OnAjaxRequestSuccess";
    submitAjaxOptions.UpdateTargetId = "validation-summary";
}

@section head
{
    <script type="text/javascript" src="https://maps.googleapis.com/maps/api/js?language=id&libraries=places"></script>
}

<div class="container" id="divAddForm">
    <div class="page-header">
        <h1>Kota <small>(Tambah atau Edit Kota)</small></h1>
    </div>
    @using (Ajax.BeginForm("City", "Master", ajaxOptions: submitAjaxOptions, htmlAttributes: new { id = "addForm", role = "form", autocomplete = "off" }))
    {
        <div class="col-md-5">
            @Html.AntiForgeryToken()
            @Html.Partial("_ValidationSummary")
            <div class="form-group">
                @Html.LabelFor(m => m.CityID, new { @class = "control-label" })
                <div class="controls">
                    @if (Model.IsEditMode)
                    {
                        <p class="form-control-static">@Html.ValueFor(m => m.CityID)</p>
                    }
                    else
                    {
                        <p class="form-control-static">(Auto)</p>
                    }
                    @Html.HiddenFor(m => m.CityID)
                    @Html.HiddenFor(m => m.IsEditMode)
                </div>
            </div>
            @Html.EditorFor(m => m.Name, additionalViewData: new { placeholder = "Required", autofocus = "autofocus" })
            @Html.EditorFor(m => m.Description, additionalViewData: new { placeholder = "Optional" })
            <div class="form-group@(Html.ValidationErrorFor(m => m.ProvinceID, " has-error"))">
                @Html.LabelFor(m => m.ProvinceID, new { @class = "control-label" })
                <div class="controls">
                    @Html.DropDownListFor(m => m.ProvinceID, new SelectList(Model.Provinces, "ProvinceID", "Name"), "(Required)", htmlAttributes: new { @class = "form-control input-sm" })
                    @Html.ValidationMessageFor(m => m.ProvinceID, null, new { @class = "help-block" })
                </div>
            </div>
            <button type="submit" class="btn btn-primary">Save</button>
            @Html.ActionLink("Kembali ke List", "City", "Master", null, new { @class = "btn btn-default" })

            <script type="text/javascript">
                bindValidator("addForm");
            </script>
        </div>
    }
</div>

@section scripts
{
    <script type="text/javascript" charset="utf-8">
        var autocomplete;

        $(document).ready(function () {
            var input = document.getElementById('Name');
            var options = {
                types: ['(cities)'],
                componentRestrictions: { country: 'id' }
            };
            autocomplete = new google.maps.places.Autocomplete(input, options);
            google.maps.event.addListener(autocomplete, 'place_changed', function () {
                fillInCity();
            });
        });

        function fillInCity() {
            var place = autocomplete.getPlace();
            document.getElementById('Name').value = '';
            for (var i = 0; i < place.address_components.length; i++) {
                var addr = place.address_components[i];
                if (addr.types[0] == 'locality')
                    document.getElementById('Name').value = addr.long_name;
            }
            //document.getElementById('Name').value = document.getElementById('Name').value.split(',')[0];
        }
    </script>
}